package com.sf.mapperTest;


import com.sf.entity.Product;
import com.sf.mapper.ProductMapper;
import com.sf.util.SqlSessionFactoryUtils;
import org.apache.ibatis.session.SqlSession;
import org.junit.Test;

import java.util.List;

/**
 * @author WanJl
 * @version 1.0
 * @title ProductMapper
 * @description
 * @create 2025/11/16
 */
public class ProductMapperTest {
    @Test
    public void findByPage(){
        SqlSession sqlSession = SqlSessionFactoryUtils.getSqlSession();
        ProductMapper mapper = sqlSession.getMapper(ProductMapper.class);

        int currentPage = 3;
        int pageSize = 10;
        //(currentPage-1)*pageSize;分页公式
        int begin = (currentPage-1)*pageSize;   //从那一条开始查
        int size = pageSize;    //查几条

        List<Product> products = mapper.findByPage(begin,size);
        for (Product product : products) {
            System.out.println(product);
        }
    }
}

/*
    分页查询

    逻辑分页
        先把MySQL里的数据全部查询出来，然后在后端根据条件进行查询部分数据，实现分页。
    物理分页
        使用limit进行分页
        使用分页插件进行分页
            interceptor拦截器实现分页--PageHelper分页插件





 */

